<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CrearProfesor extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'pro_id' => [
                'type' => 'INT',
                'unsigned' => true,
                'auto_increment' => true,
                'null' => false,
            ],
            'pers_id' => [
                'type' => 'INT',
                'unsigned' => true,
                'null' => false,
            ],
            'profesion' => [
                'type' => 'VARCHAR',
                'constraint' => 150,
                'null' => false,
            ],
            'pro_estado' => [
                'type' => 'BOOL',
                'null' => false,
            ],
            'created_at timestamp default current_timestamp',
            'updated_at timestamp default current_timestamp on update current_timestamp'
        ]);

        $this->forge->addKey("pro_id",true);
        $this->forge->addForeignKey('pers_id', 'persona', 'pers_id');
        $this->forge->createTable("profesor");
    }

    public function down()
    {
        $this->forge->dropTable("profesor", true);
    }
}
